Pre-release — content may change.

Contact records

Update a web address

PATCH
/web_addresses/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

The UUID of the web address.

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

Request body for updating a web address.

Response Body

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/web_addresses/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "data": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "type": "web_addresses",      "attributes": {}    }  }'
{  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "type": "web_addresses",    "attributes": {      "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",      "type": "string",      "type_external_id": "string",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "deleted_at": "2019-08-24T14:15:22Z",      "address": "string",      "consent": true,      "consent_third_party": true,      "consent_directory": true,      "data": {}    },    "relationships": {      "web_addressable": {        "data": {          "type": "string",          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"        },        "links": {          "self": "/web_addresses/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/web_addressable",          "related": "/web_addresses/7247ad7d-9275-454b-9e3a-0570e403739e/web_addressable"        }      }    },    "links": {      "self": "/web_addresses/7247ad7d-9275-454b-9e3a-0570e403739e"    }  }}
{  "errors": [    {      "status": 0,      "title": "string",      "source": {        "pointer": "string",        "parameter": "string"      },      "meta": {        "error": "string",        "field": "string"      }    }  ]}
{  "errors": [    {      "status": 0,      "title": "string",      "source": {        "pointer": "string",        "parameter": "string"      },      "meta": {        "error": "string",        "field": "string"      }    }  ]}
{  "errors": [    {      "status": 0,      "title": "string",      "source": {        "pointer": "string",        "parameter": "string"      },      "meta": {        "error": "string",        "field": "string"      }    }  ]}